View Issue Details

IDProjectCategoryView StatusLast Update
0000196Adventure PHP FrameworkNeues Feature // New Featurepublic2015-10-12 12:20
ReporterChristianAchatzAssigned ToChristianAchatz 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version2.0 
Target Version2.1Fixed in Version2.1 
Summary0000196: Add convenience mehod for required attributes
DescriptionPatch suggestion:

class Document {

   public function getRequiredAttribute($name) {
      $attribute = $this->getAttribute($name);

      if ($attribute === null) {
         throw new ParserException('Attribute "' . $name . '" is missing in "' . get_class($this) . '".');
      }

      return $attribute;
   }

}
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])
Namespacecore

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2014-05-26 10:54 ChristianAchatz New Issue
2014-05-26 10:54 ChristianAchatz Status new => assigned
2014-05-26 10:54 ChristianAchatz Assigned To => ChristianAchatz
2014-05-27 20:30 ChristianAchatz Status assigned => resolved
2014-05-27 20:30 ChristianAchatz Fixed in Version => 2.1
2014-05-27 20:30 ChristianAchatz Resolution open => fixed
2015-10-12 12:20 ChristianAchatz Status resolved => closed